/* Slider section - START */

h1 {
    font-weight: 800 !important;
    color: #172F45;
}

.slider-section {
    position: relative;
}

.slider-section .subtitle {
    max-width: 520px;
    margin-left: auto;
    margin-right: auto;
    color: #6D758F;
    line-height: 150%;
    letter-spacing: 0%;
    text-align: center;
}

.slider-section .pattern-background {
    position: absolute;
    width: calc(100% - 20px);
    height: 100%;
    top: 10px;
    left: 10px;
    background-repeat: no-repeat;
    background-position: top center;
    z-index: 1;
}

.slider-section > *:not(.pattern-background) {
    position: relative;
    z-index: 2;
}

@media (max-width: 991px) {
    .slider-section .pattern-background {
        width: calc(100% - 15px);
        left: 7.5px;
    }
}

.slider-section .slider-item {
    position: relative;
    width: 100%;
    height: 460px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 8px 16px 0px #00000026;
    margin-bottom: 24px;
}

@media (max-width: 991px) {
    .slider-section .slider-item {
        box-shadow: none;
        height: 307px;
    }
}

.slider-available-badge, .slider-sold-out-badge {
    position: absolute;
    background: #ECFDF3;
    padding: 6px 12px;
    border-radius: 4px;
    font-weight: 600;
    font-size: 14px;
    top: 24px;
    left: 24px;
}

@media (max-width: 991px) {
    .slider-available-badge, .slider-sold-out-badge {
        top: 16px;
        left: 16px;
    }
}

.slider-available-badge {
    color: #027A48 !important;
    background-color: #F2F7F5;
    border: 1px solid #03A15F !important;
}

.slider-section .slider-sold-out-badge {
    color: #E51000;
}

.slider-section .slider-item-footer {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    background: linear-gradient(180deg, rgba(187, 171, 155, 0) 0%, #BBAB9B 100%);
    backdrop-filter: blur(4px);
    padding: 58px 24px 25px 24px;
}

@media (max-width: 991px) {
    .slider-section .slider-item-footer {
        padding: 58px 16px 25px 16px;
        text-align: left;
        background: none;
        backdrop-filter: none;
    }
}

.slider-section .slider-item-footer .title {
    font-weight: 800;
    color: #FFFFFF;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.42);
}

.slider-section .slider-item-footer .units-left-count {
    color: #FFFFFF;
    font-weight: 600;
    text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.42);
}

@media (max-width: 425px) {
    .advertisement-slider {
        padding: 0 24px;
    }
}

@supports (aspect-ratio: 1) {
    .slider-section .slider-item {
        padding-top: 0;
        aspect-ratio: 16 / 9;
    }
}

.slider-section .slick-dots {
    display: flex;
}

.slider-section .slick-dots li button:before {
    content: '';
    display: none;
}

.slider-section .slick-dots li {
    background-color: #1C79B7;
    border-radius: 0;
    width: 30px;
    height: 3px;
    margin: 0 6px;
    padding: 0;
    border: none;
    transition: background-color 0.3s;
    opacity: 0.5;
}

.slider-section .slick-dots li.slick-active {
    background-color: #007bff;
    opacity: 1;
}

.slider-section .slick-dots {
    position: static;
}

.slider-section .slick-slide {
    transform: scaleY(0.85);
    transition: transform .5s ease;
}

.slider-section .slick-active, .slider-section .slick-target {
    transform: scaleY(1);
}

.slider-section .slick-dots-container, .slider-section .slick-count-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.slider-section .slick-count-container {
    color: #6D758F;
    font-weight: 500;
}

.slider-section .slick-prev-custom, .slider-section .slick-next-custom {
    width: 32px;
    height: 32px;
    border-radius: 4px;
    padding: 8px;
    margin: 0 16px;
    box-shadow: 0px 1px 4px 0px #19213D14;
    background: #FFFFFF;
    border: 1px solid #E1E4ED;
    line-height: 0;
}

.slider-section .slick-dots {
    width: fit-content;
}

/* Slider section - END */

/* Hero section - START */
.hero-section {
    position: relative;
    overflow: hidden;
}

.hero-pattern-bg {
    position: absolute;
    width: calc(100% - 20px);
    height: 100%;
    top: 10px;
    left: 10px;
    background-repeat: no-repeat;
    background-position: 50% top;
    pointer-events: none;
    z-index: 0;
}

.hero-section .container-fluid {
    position: relative;
    z-index: 1;
}

.hero-left-content {
    padding-left: 12px;
    padding-right: 12px;
}

.hero-header {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    font-weight: 500;
    font-size: 56px;
    max-width: 440px;
}

.hero-description {
    width: 315px;
}

.hero-image {
    height: 680px;
}

@media (min-width: 576px) {
    .hero-left-content { padding-left: calc((100vw - 540px) / 2 + 125px); }
}

@media (min-width: 768px) {
    .hero-left-content { padding-left: calc((100vw - 720px) / 2 + 125px); }
}

@media (min-width: 992px) {
    .hero-left-content { padding-left: calc((100vw - 960px) / 2 + 125px); }
}

@media (min-width: 1200px) {
    .hero-left-content { padding-left: calc((100vw - 1140px) / 2 + 125px); }
}

@media (min-width: 1400px) {
    .hero-left-content { padding-left: calc((100vw - 1320px) / 2 + 125px); }
}
.hero-left-content .btn-primary {
    background-color: #1C79B7;
    border-color: #1C79B7;
}

.hero-left-content .btn-primary:hover,
.hero-left-content .btn-primary:focus,
.hero-left-content .btn-primary:active {
    background-color: #1C79B7;
    border-color: #1C79B7;
}

@media (max-width: 991px) {
    .hero-section .row {
        flex-direction: column;
    }

    .hero-header {
        font-size: 40px;
    }

    .hero-left-content {
        padding-left: 24px !important;
        padding-right: 24px !important;
    }

    .hero-description {
        width: 100%;
    }

    .hero-left-content .py-5 {
        padding-bottom: 1.5rem !important;
    }

    .hero-left-content .btn-primary {
        width: 100%;
        justify-content: center;
        position: relative;
    }

    .hero-image {
        height: auto;
    }

    .hero-section .col-lg-6:last-child {
        padding: 0 16px 16px;
    }

    .hero-section .col-lg-6:last-child img {
        border-radius: 8px;
    }
}

/* Hero section - END */

/* Available Appartments - START */
.offer-header {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    font-weight: 500;
    font-size: 42px;
}
.offer-card-name {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
}

.offer-card-body {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.offer-card-button-wrap {
    margin-left: 12px;
}

@media (max-width: 991px) {
    .offer-header {
        font-size: 33px;
        text-align: left !important;
    }

    .offer-card-body {
        flex-direction: column;
        align-items: flex-start;
    }

    .offer-card-remaining {
        font-size: 16px;
    }

    .offer-card-button-wrap {
        margin-left: 0;
        margin-top: 12px;
        width: 100%;
    }

    .offer-card-button {
        width: 100%;
        position: relative;
    }

    .offer-card-button img {
        position: absolute;
        right: 16px;
    }
}

/* Available Appartments - END */

.text-wrapper {
    width: 520px;
    margin: 0 auto;
}
